Subject: Correction and Question

From: [email-masked]
Date: Tue, 5 Dec 2006 22:47:47 EST

In the Darwin Day Celebration piece, there's a misspelling, as "mislead" 
should be "misled." I would question the statement "While music is both 
intellectual and entertaining, science is our most reliable knowledge system." First of 
all, music doesn't need to be intellectual, to be entertaining, as it can 
inspire. Poetry can be both intellectual and entertaining, and it can be very 
reliable, and it can also transcend knowledge to impart wisdom. Science is about 
verifiable propositions which can impart knowledge, but knowledge goes well 
beyond what we can verify, as our visionaries have demonstrated by rising above 
brutal realities to a more beautiful perspective. "I know that my Redeemer 
liveth" is a faith statement, not verifiable, but still as some would say 
knowledge. Peace be with you.
Ed Schreiber
Atonement Lutheran Church
100 Market Street
Saugerties, NY 12477